<?php
/*
+---------------------------------------------------------------+
| e107 website system Gallery2 Plugin
| event_handler.php
|
| Garbor and Rashan 2006
| (garbor@gmx.net, rashan@hagan-net.net)
|
|     Latest updates by Rik (2007)
|     http://www.e107.be
|     rik@e107.be
|
| For gallery2.1
|
| Released under the terms and conditions of the
| GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+

*/

require_once(e_BASE."class2.php");

// the common gallery tasks are now in functions.php
require_once(e_PLUGIN."gallery2/functions.php");

//////////////////////////////////////////////////////
// Pre user settings changed
// This event is triggered prior to updating the user settings in the database.
// Any return value will halt the update and display the return value.
//////////////////////////////////////////////////////
function gallery2_preuserset($data)
{
  global $g2Userint;

  // Load configured values from db
  g2_LoadConfig();

  if ($g2Userint == 0)
    return;

  // if the userid is not in data it has to be the active user
  $userid = $data['_uid'] ? $data['_uid'] : USERID;

  // load the gallery user data
  list ($id, $g2user) = e107_LoadUserData("user_id = ".$userid);

  // Initialize gallery2 embedding
  $ret = g2_Init();

  // build the gallery user data with the new user data
  if (isset($data['loginname']))
    $g2user['username'] = $data['loginname'];
  if (isset($data['email']))
    $g2user['email']    = $data['email'];
  if (isset($data['loginname']))  // //  Is this an error? We checked this data item a few lines back
    $g2user['loginname'] = $data['username'];

  // Update or Create gallery2 user
  $error = g2_ChangeOrCreateUser($userid, $g2user);

  // Reconnect to e107 database
  g2_Close();

  if ($error)
    $error_message = "<div style='text-align:left;'><BR/>".G2_LAN_GALLERY2_ERROR."<BR/>".$error."</div>";

  return $error_message;
} // Function

//////////////////////////////////////////////////////
// User signup (usersup)
// This event is triggered when a user signs up to the site but is at yet unverified.
// See the user signup verification event for that event.
//////////////////////////////////////////////////////
function gallery2_usersup($data)
{
  global $error_message, $g2Userint;

  // Load configured values from db
  g2_LoadConfig();

  if ($g2Userint == 0)
    return;

  // load the gallery user data
  list ($userid, $g2user) = e107_LoadUserData("user_email = '" . $data['email'] . "'");


  // Initialize gallery2 embedding
  $ret = g2_Init();

  // Update or Create gallery2 user
  $error = g2_ChangeOrCreateUser($userid, $g2user);

  // Close gallery2 session
  g2_Close();

  if ($error)
    $error_message .= "<div style='text-align:left;'><BR/>".G2_LAN_GALLERY2_ERROR."<BR/>".$error."</div>";

} // Function
?>
